Functions
Functions
Peripheral Driver » APP DRIVER » OSPI
Collaboration diagram for Functions:

## Functions
uint16_t | app_graphics_ospi_init (app_graphics_ospi_params_t *p_params)
| Initialize the APP OSPI DRIVER according to the specified parameters. More...
void | app_graphics_ospi_deinit (void)
| De-Initialize the APP OSPI DRIVER . More...
void | app_graphics_ospi_reset (void)
| Reset the OSPI Controller. More...
void | app_graphics_ospi_register_psram_reload_func (psram_reload_func_t psram_reload_func)
| Register the OSPI reload function for PSRAM recovery after deep sleep. More...
void | app_graphics_ospi_set_sleep_state (app_ospi_work_state_e state)
| Set the OSPI low power state for system sleep. More...
app_ospi_work_state_e | app_graphics_ospi_get_sleep_state (void)
| Get the OSPI low power state for system sleep. More...
uint32_t | app_graphics_ospi_get_base_address (void)
| Get the OSPI.PSRAM Base Address. More...
void | app_graphics_ospi_set_pasr (app_ospi_pasr_e area)
| Set Partial Refresh Array for OSPI PSRAM. More...
void | app_graphics_ospi_pasr_update (uint32_t psram_addr)
| Set Partial Refresh Array for OSPI PSRAM with PSRAM used address. More...
__STATIC_INLINE bool | app_graphics_is_ospi_address (uint32_t address)
| Check address is located at ospi.psram or not. More...
__STATIC_INLINE void | app_graphics_ospi_set_read_prefetch (bool enable)
| Enable/Disable read prefetch of OSPI PSRAM. More...
__STATIC_INLINE bool | app_graphics_ospi_get_read_prefetch (void)
| Get read prefetch state of OSPI PSRAM. More...
uint32_t | app_graphics_ospi_get_byte_size (void)
| Get the OSPI.PSRAM Size in Bytes. More...
void | app_graphics_ospi_set_power_state (app_ospi_work_state_e state)
| Set the OSPI work state. More...
void | app_graphics_adjust_dcore_policy (void)
| Adjust the Digcore policy for system (including mcu.ble.graphics) More...

## Detailed Description

## Function Documentation

## ◆ app_graphics_adjust_dcore_policy()

void app_graphics_adjust_dcore_policy | ( | void |  | ) |

Adjust the Digcore policy for system (including mcu.ble.graphics)

Returns

## ◆ app_graphics_is_ospi_address()

__STATIC_INLINE bool app_graphics_is_ospi_address | ( | uint32_t | address | ) |

Check address is located at ospi.psram or not.

Returns
  OSPI.PSRAM Base Address

Definition at line 317 of file app_graphics_ospi.h.

References OSPI_PSRAM_MAX_XIP_ADDRESS, and OSPI_PSRAM_MIN_XIP_ADDRESS.

## ◆ app_graphics_ospi_deinit()

void app_graphics_ospi_deinit | ( | void |  | ) |

De-Initialize the APP OSPI DRIVER .

## ◆ app_graphics_ospi_get_base_address()

uint32_t app_graphics_ospi_get_base_address | ( | void |  | ) |

Get the OSPI.PSRAM Base Address.

Returns
  OSPI.PSRAM Base Address

## ◆ app_graphics_ospi_get_byte_size()

uint32_t app_graphics_ospi_get_byte_size | ( | void |  | ) |

Get the OSPI.PSRAM Size in Bytes.

Returns
  OSPI.PSRAM Space Size in Bytes

## ◆ app_graphics_ospi_get_read_prefetch()

__STATIC_INLINE bool app_graphics_ospi_get_read_prefetch | ( | void |  | ) |

Get read prefetch state of OSPI PSRAM.

Returns
  OSPI.PSRAM Base Address

Definition at line 339 of file app_graphics_ospi.h.

## ◆ app_graphics_ospi_get_sleep_state()

app_ospi_work_state_e app_graphics_ospi_get_sleep_state | ( | void |  | ) |

Get the OSPI low power state for system sleep.

Returns
  state: Ref the app_ospi_work_state_e

## ◆ app_graphics_ospi_init()

uint16_t app_graphics_ospi_init | ( | app_graphics_ospi_params_t * | p_params | ) |

Initialize the APP OSPI DRIVER according to the specified parameters.

Parameters

  [in] | p_params | Pointer to app_graphics_ospi_params_t parameter which contains the configuration information for the specified OSPI module.

Returns
  APP_DRV_*

## ◆ app_graphics_ospi_pasr_update()

void app_graphics_ospi_pasr_update | ( | uint32_t | psram_addr | ) |

Set Partial Refresh Array for OSPI PSRAM with PSRAM used address.

Parameters

  [in] | psram_addr | PSRAM highest used address

## ◆ app_graphics_ospi_register_psram_reload_func()

void app_graphics_ospi_register_psram_reload_func | ( | psram_reload_func_t | psram_reload_func | ) |

Register the OSPI reload function for PSRAM recovery after deep sleep.

Parameters

  [in] | psram_reload_func | Reload the resources to PSRAM after PSRAM deep sleep.

## ◆ app_graphics_ospi_reset()

void app_graphics_ospi_reset | ( | void |  | ) |

Reset the OSPI Controller.

## ◆ app_graphics_ospi_set_pasr()

void app_graphics_ospi_set_pasr | ( | app_ospi_pasr_e | area | ) |

Set Partial Refresh Array for OSPI PSRAM.

Parameters

  [in] | area | please refer to app_ospi_pasr_e Enumerations

## ◆ app_graphics_ospi_set_power_state()

void app_graphics_ospi_set_power_state | ( | app_ospi_work_state_e | state | ) |

Set the OSPI work state.

Parameters

  [in] | state | please refer to app_ospi_work_state_e Enumerations

## ◆ app_graphics_ospi_set_read_prefetch()

__STATIC_INLINE void app_graphics_ospi_set_read_prefetch | ( | bool | enable | ) |

Enable/Disable read prefetch of OSPI PSRAM.

Returns
  OSPI.PSRAM Base Address

Definition at line 328 of file app_graphics_ospi.h.

## ◆ app_graphics_ospi_set_sleep_state()

void app_graphics_ospi_set_sleep_state | ( | app_ospi_work_state_e | state | ) |

Set the OSPI low power state for system sleep.

Parameters

  [in] | state | Ref the app_ospi_work_state_e